Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008159 [DCSS] Upload: Graphics trivial N/A 2014-02-16 05:26 2014-12-08 07:32
Reporter roctavian View Status public  
Assigned To
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0008159: Various wall and floor tile tweaks
Description vaults.walls.floor.png:
   I think it is important for stone walls in Vaults to look like stone walls elsewhere, so that players know what's up with them -- that said, I think the walls could be jazzed up a bit, so here's a few edits. The first two rows are supposed to be weighted to display normally, the third row is intended to be weighted as low as the decorative walls of Snake or D.
   The floor tiles in the fourth row are lower contrast and slightly darker than they currently are in the game. I think this will improve visibility a bit, the current tiles makes Vaults look too busy sometimes.

stone.png:
   The changes to basic stone tiles are subtle, but I think they'll make stone tiles a little bit easier on the eyes. I smoothed out the texture slightly, and made the divider line a little less uniform.

metal.png:
   I like the new metal tiles, except I think they are too uniform in shape. Here are some variants to mix it up.

icecave.floor.png:
   White floor tiles clash terribly with anything on top of them. These aren't necessarily perfect replacements, but they work well with Bloax's new walls. The third and fourth tiles should be weighted lower than the first two.

grass1.png, grass2.png:

These grass tiles were especially noisy, so I toned that down a bit.

misc.overlays.png:

I don't know if crawl auto-creates these tiles. If it doesn't, this replaces the bazaar tiles which overlay the above grass and Vaults floor tiles.
Additional Information
Tags No tags attached.
Attached Files png file icon vaults.walls.floor.png [^] (19,211 bytes) 2014-02-16 05:26


png file icon stone.png [^] (7,204 bytes) 2014-02-16 05:27


png file icon metal.png [^] (12,839 bytes) 2014-02-16 05:27


png file icon icecave.floor.png [^] (9,631 bytes) 2014-02-16 05:27


png file icon grass1.png [^] (24,107 bytes) 2014-02-16 05:27


png file icon grass2.png [^] (30,855 bytes) 2014-02-16 05:27


png file icon misc.overlays.png [^] (21,421 bytes) 2014-02-16 05:28


png file icon metals.png [^] (10,620 bytes) 2014-02-17 05:28


png file icon icefloor.2.png [^] (8,932 bytes) 2014-02-17 05:37

- Relationships

-  Notes
(0025323)
Bloax (reporter)
2014-02-17 00:48

who dragged the contrast filter slider all the way up on those metal tiles

whoever you are we're gonna get you
(0025329)
roctavian (developer)
2014-02-17 05:32

Sorry, that was me. I altered the levels on them in my actual crawl folder, and forgot to include some of the original horizontally-tiled tiles with the new levels. Here are more (I'm sure you're excited about these, Bloax).

I feel that these tiles look more metallic at a quick glance, and are more distinct from rock walls in D. I don't think your tiles look bad, though -- they look good!
(0025332)
sgrunt (administrator)
2014-02-17 18:29

Most of these have landed - the metal tiles haven't pending figuring out what to do with them.
(0028013)
roctavian (developer)
2014-12-08 07:32

Closed.

- Issue History
Date Modified Username Field Change
2014-02-16 05:26 roctavian New Issue
2014-02-16 05:26 roctavian File Added: vaults.walls.floor.png
2014-02-16 05:27 roctavian File Added: stone.png
2014-02-16 05:27 roctavian File Added: metal.png
2014-02-16 05:27 roctavian File Added: icecave.floor.png
2014-02-16 05:27 roctavian File Added: grass1.png
2014-02-16 05:27 roctavian File Added: grass2.png
2014-02-16 05:28 roctavian File Added: misc.overlays.png
2014-02-17 00:48 Bloax Note Added: 0025323
2014-02-17 05:28 roctavian File Added: metals.png
2014-02-17 05:32 roctavian Note Added: 0025329
2014-02-17 05:37 roctavian File Added: icefloor.2.png
2014-02-17 18:29 sgrunt Note Added: 0025332
2014-12-08 07:32 roctavian Note Added: 0028013
2014-12-08 07:32 roctavian Status new => closed
2014-12-08 07:32 roctavian Resolution open => done
2014-12-08 07:32 roctavian Fixed in Branch => 0.16 development branch


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker